
    {% if action=="embedd" %} 	
   <div class="target_main_div_class" id="target_main_div_id" style="display:none;">
	{% endif %}
  
	<div class="product_show_case app_embedd page-width" id="product_show_case_id" style="display: none">
		{% if title_id != blank %}
		<div class="heading text-center"><span class="showcase_title">{{title_id}} </span></div>
		{% endif %}

		{% if description != blank %}
		<div class="description">{{description}} </div>
		{% endif %}
			<div class="wrapper Runnning">
				<div class="wrapper_left">
				  <div class="view_image">
					<img src="{{showcase_image | img_url:'large'}}" width="" height="">
				  </div>
			  </div>
			<div class="wrapper_right  owl-carousel" id="owl_slider">
				{% for product in product_list %}
				 <div class="view_img_part">
					<img src="{{product.featured_image  | img_url:'master'}}" width="150" height="150"> 
					<div class="product_title"><span>{{ product.title }}</span></div> 
					<div class="button_to_cart">
						<button  product_id="{{product.id}}" variant_id="{{product.variants[0].id }}" onclick="addToCart(this)">Add to cart</button>
					</div>
			   </div> 
				{% endfor %}
		 
		<!-- <div class="showcase_collection"></div> -->
	</div>
	{% if action=="embedd" %} 	
		</div>
	{% endif %}	
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/owl.carousel.min.js"
		defer> </script>
	<script type="text/javascript">
		function addToCart(element) {
			const product_id = element.getAttribute("product_id");
			const variant_id = element.getAttribute("variant_id");
			console.log("product_id",product_id);
			console.log("variant_id",variant_id);
			const shop = "{{ shop.name }}";
			const quantity = 1;

			try {
				let formData = {
					"items": [{
						"id": variant_id,
						"quantity": quantity
					}]
				};

				fetch("/cart/add.js", {
					method: "POST",
					headers: {
						"Content-Type": "application/json"
					},
					body: JSON.stringify(formData)
				}).then((response) => {
						window.location.href = `/cart`;
					})
					.catch((error) => {
						console.error("Error:", error);
					});

			}
			catch (err) {
				console.log("api error" + err);
			}
		}

	</script>
	<script>
		document.addEventListener('DOMContentLoaded', function() { // work as jquery ready function
			 setTimeout(function(){
				$("#product_show_case_id").show();
			 },3000)
			 
			if(!$("#MainContent").next(".product_show_case").length)
			{
				$("#MainContent").after($("#target_main_div_id").html());
			}
		
		})
	  </script>
